Name:       kdevelop-python
Version:    4.90.91
%global py3_suffix -py3
%global py3_tag .py3
Release:    2%{?py3_tag}%{?dist}
License:    GPLv2
%global kdevelop_version %(echo %{version} | sed -e 's/^1\./4./g')
Source0:    http://download.kde.org/stable/kdevelop/%{kdevelop_version}/src/kdev-python-%{version}.tar.xz

# ensure the installed Python 3 scripts have #!/usr/bin/env python3
Patch0:     kdev-python-1.7.0-py3-shebang.patch

# remove bogus autogenerated set"other methods from
# documentation_files/__builtin_types__.py that are actually the < and >
# operators, not methods - the bogus syntax (quote in identifier) makes the
# brp-python-bytecompile script choke
Patch1:     kdev-python-1.7.0-py3-doc-syntax.patch

Patch2:     kdev-python-missing-dependency.patch


Summary:    Python 3 Plugin for KDevelop
URL:        https://www.kdevelop.org/

BuildRequires:  kdevplatform-devel >= %{version}
BuildRequires:  kdevelop-devel >= %{version}
BuildRequires:  python3-devel >= 3.4
BuildRequires:  gettext

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-threadweaver-devel
BuildRequires:  kf5-kitemmodels-devel
BuildRequires:  kf5-kdelibs4support-devel

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel

# force using Python 3 for bytecompiling
%global __python %{__python3}

Requires:       kdevelop = 9:%{kdevelop_version}

%description
Python 3 language support for the KDevelop Integrated Development Environment.

%prep
%setup -qn kdev-python-%{version}
# don't use backups because CMakeLists.txt installs the whole directory
# shebang
%patch0 -p1
# doc-syntax
%patch1 -p1

# add missing dependency on kdelibs4support
%patch2 -p1 -b .missing-dependency

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# don't ship this Python 2 script, it is only used to generate the
# documentation_files, it is not needed at runtime
rm -f %{buildroot}%{_datadir}/kdevpythonsupport/documentation_files/PyKDE4/parse_xml.py

%find_lang kdevpython

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kdevpython.lang
%doc DESIGN README
%{_libdir}/libkdevpythonduchain.so
%{_libdir}/libkdevpythonparser.so
%{_libdir}/libkdevpythoncompletion.so
%{_datadir}/kdevpythonsupport
%{_datadir}/kdevappwizard/templates/*
%{_kf5_qtplugindir}/kdevplatform/24/kdevpdb.so
%{_kf5_qtplugindir}/kdevplatform/24/kdevpythonlanguagesupport.so


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.90.91-2.py3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Jan Grulich <jgrulich@redhat.com> - 4.90.91-1.py3
- Update to 4.90.91 (beta 2)

* Thu Nov 12 2015 Jan Grulich <jgrulich@redhat.com> - 4.90.90-1.py3
- Update to 4.90.90 (beta 1)

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2.py3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Oct 12 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.2-1.py3
- Update to 1.7.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-3.py3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.7.1-2.py3
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 10 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.1-1.py3
- update to 1.7.1-py3

* Sat Sep 27 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.7.0-1.py3
- update to 1.7.0-py3 (#1146723)
- specfile cleanups
- ensure the installed Python 3 scripts have #!/usr/bin/env python3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Minh Ngo <minh@fedoraproject.org> 1.4.1-3
- possible fixing a bug with libpython2.7-kdevelop.so.1.0 requirement

* Thu Feb 14 2013 Minh Ngo <minh@fedoraproject.org> 1.4.1-2
- have added _kde4_appsdir macro
- have dropped updata-mime-database scriptlets
- have omitted cmake requirement
- have removed desktop-file-install script
- removing python2.7 hardcode

* Sat Dec 01 2012 Minh Ngo <minh@fedoraproject.org> 1.4.1-1
- initial build
